Subject: cacti (outside in winter)

From: Mushroom Research Lab <[email-masked]>
Date: Wed, 8 Mar 1995 18:29:18 EST

In response to the amazement of seeing cacti growing out of doors in late fall
at the Kew Gargens:
Most large gardens in the US feature cacti---including those in the North! In
fact a lovely NATIVE of Ohio (northern) is Opuntia compressa. Britt